Difference between revisions of "Set -e"
Jump to navigation
Jump to search
Tags: Mobile web edit, Mobile edit |
|||
Line 4: | Line 4: | ||
-e Exit immediately if a command exits with a [[non-zero status]]. | -e Exit immediately if a command exits with a [[non-zero status]]. | ||
+ | |||
+ | set -eo [[pipefail]] | ||
== Related == | == Related == |
Revision as of 15:41, 27 April 2022
set -e or set -o errexit
-e Exit immediately if a command exits with a non-zero status.
set -eo pipefail
Related
See also
set, unset, set -o, set -x, set -e, set +e, set -E, set +b, set -u, $?, exit, return, trap, PostgreSQL SET
Bash [ -c ]
,alias
,&&
, Bash history, Autocompletion,set
,unset
,export
,.bash_aliases, .bashrc and .bash profile
,PS1
,echo
,brace expansion
, Function,shopt
,trap
,set -e
,source
,PATH
,complete
,disown
,.hushlogin
,.bashrc
,builtin
,eval
,set
,$PATH
,$HOME
,TZ
,.profile
,-e, -i
,Builtin (Bash)
,mapfile
,~
, return (Bash), for, until,declare, dirname, basename, functions.sh
, Bash arithmetic expansion,shift, bash --rcfile, readonly, $1, $@
Advertising: